/*
LED1:    PIN 8
LED2:    PIN 9
*/

int data_in_1=0;
int data_in_2=0;

void setup() {
  
  /* ******************* LEDs  ******************** */ 
  
  // Configuration 
  pinMode(8, OUTPUT);    // LED1
  pinMode(9, OUTPUT);    // LED2
  
  // Initialisation
  digitalWrite(8, LOW);
  digitalWrite(9, LOW);
  
  /* ******************* UART ********************** */
  
  Serial.begin(9600);
}

void loop() 
{ 
  // Vous pouvez remplacer l'instruction IF par SWITCH...CASE
  
  if (Serial.read() =='#') 
  {
    while(1)
    {
      // Get data from serial port and set Red LED 
      data_in_1 = Serial.parseInt();
      data_in_2 = Serial.parseInt();
      
      // LED1
      if (data_in_1==1) 
        digitalWrite(8, HIGH);
      else 
        digitalWrite(8, LOW);
      
      // LED2
      if (data_in_2==1) 
        digitalWrite(9, HIGH);
      else 
        digitalWrite(9, LOW);
        
      if (Serial.read() =='*') break;
    }
  }
}
