clear al;
close all;
clc;

% Lecture de l'image
im_rgb=imread('text.png');
% im_gray=rgb2gray(im_rgb);

% Conversion Gray to Binaire
% im_bin= im_gray >50;

im_bin=im_rgb;
im_gray=uint8(255*double(im_bin));

% Calcul des rgions (une ou plussieurs)
s = regionprops(im_bin,im_gray, 'WeightedCentroid');

% Affichage  
figure(1)
subplot(121); imshow(im_bin); title('Image originale');
subplot(122);imshow(im_bin); title('Image avec les centres de gravite');hold on

numObj = numel(s);
for k = 1 : numObj
    plot(s(k).WeightedCentroid(1), s(k).WeightedCentroid(2), 'b*');
end


% x_i=0; y_i=0;
% [M N]=size(im_bin)
% NumPix=0;
% for i = 1 : M
%     for j = 1 : N
%         if im_bin(i,j)==1
%             x_i=x_i+i;
%             y_i=y_i+j;
%             NumPix=NumPix+1;
%         end
%     end
% end
% x_b=floor(x_i/NumPix)
% y_b=floor(y_i/NumPix)

